Bug 1554174 - atomic-openshift-docker-excluder allows docker-1.13 on OpenShift 3.7
Summary: atomic-openshift-docker-excluder allows docker-1.13 on OpenShift 3.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.z
Assignee: Scott Dodson
QA Contact: Mike Fiedler
URL:
Whiteboard:
: 1555294 (view as bug list)
Depends On:
Blocks: 1543779
TreeView+ depends on / blocked
 
Reported: 2018-03-12 01:03 UTC by Takayoshi Kimura
Modified: 2018-05-14 17:26 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 19:40:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3376031 None None None 2018-03-12 19:05:49 UTC
Red Hat Product Errata RHSA-2018:0475 normal SHIPPED_LIVE Important: Red Hat OpenShift Container Platform security update 2018-03-12 23:40:44 UTC

Description Takayoshi Kimura 2018-03-12 01:03:48 UTC
Description of problem:

"yum update" installs docker-1.13 and make OpenShift unsupported combination.

Version-Release number of the following components:

$ rpm -q --changelog atomic-openshift-docker-excluder-3.7.23-1.git.0.8edc154.el7.noarch | grep 1\\.13
- rpm: Remove 1.13 from excluder (smilner@redhat.com)

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.

Actual results:

docker-1.13 installed when yum update

Expected results:

docker-1.13 excluded by excluder

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 8 errata-xmlrpc 2018-03-12 19:40:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0475

Comment 9 Scott Dodson 2018-03-14 15:21:08 UTC
*** Bug 1555294 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.